#
# Conditional build:
%bcond_without	libgpiod	# GPIO support

Summary:	Lightweight and fast MJPEG-HTTP streamer
Summary(pl.UTF-8):	Lekki i szybki program do emisji strumieni MJPEG-HTTP
Name:		ustreamer
Version:	5.48
Release:	1
License:	GPL v3
Group:		Applications/Multimedia
#Source0Download: https://github.com/pikvm/ustreamer/tags
Source0:	https://github.com/pikvm/ustreamer/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	417816c8e6142c7860a2feccc50126e6
URL:		https://github.com/pikvm/ustreamer
BuildRequires:	libbsd-devel
BuildRequires:	libevent-devel
%{?with_libgpiod:BuildRequires:	libgpiod-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	systemd-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
uStreamer is a lightweight and very quick server to stream MJPEG video
from any V4L2 device to the net.

%description -l en.UTF-8
µStreamer is a lightweight and very quick server to stream MJPEG video
from any V4L2 device to the net.

%description -l pl.UTF-8
µStreamer to lekki i bardzo szybki serwer strumieni obrazu MJPEG z
dowolnego urządzenia V4L2 do sieci.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	V=1 \
	%{?with_libgpiod:WITH_GPIO=1} \
	WITH_SYSTEMD=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX="%{_prefix}" \
	MANPREFIX="%{_mandir}" \
	V=1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md docs/*.md
%attr(755,root,root) %{_bindir}/ustreamer
%attr(755,root,root) %{_bindir}/ustreamer-dump
%{_mandir}/man1/ustreamer.1*
%{_mandir}/man1/ustreamer-dump.1*
%changelog
* Fri Jan 19 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ustreamer.git;a=log;h=master

* Wed Jan 17 2024 Jan Palus <atler@pld-linux.org> 9f34520
- up to 5.48

* Tue Jan 02 2024 Jan Palus <atler@pld-linux.org> 5ab1228
- add patches for verbose build and libgpiod >= 2 support; rel 2

* Mon Jan 01 2024 Jan Palus <atler@pld-linux.org> 4b31b7b
- up to 5.46

* Mon Nov 13 2023 Jakub Bogusz <qboosh@pld-linux.org> ab5ace9
- updated to 5.45; added libgpiod bcond (requires libgpiod 1.x)

* Mon Nov 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 5e7ed58
- typo

* Mon Nov 13 2023 Jakub Bogusz <qboosh@pld-linux.org> a0f90ce
- pl, base description in plain ascii

* Sun Sep 17 2023 Jan Palus <atler@pld-linux.org> 26331d2
- up to 5.42

* Fri Nov 11 2022 Jan Palus <atler@pld-linux.org> a340a83
- new

